Bug 200860 - perl-IO-Socket-SSL: update request to latest version (0.994 -> 0.998)
perl-IO-Socket-SSL: update request to latest version (0.994 -> 0.998)
Product: Fedora
Classification: Fedora
Component: perl-IO-Socket-SSL (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Warren Togami
Depends On:
  Show dependency treegraph
Reported: 2006-07-31 19:37 EDT by Jose Pedro Oliveira
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-08-13 13:22:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jose Pedro Oliveira 2006-07-31 19:37:55 EDT

The last changelog entry appears to be important.


@@ -1,3 +1,21 @@
+        - hide DEBUG statements and remove test to load Debug.pm
+          because packets like Spamassisin cannot cope with it
+          (at least the OpenBSD port)
+        - added SSL_cert and SSL_key parameter which do not take
+          a file name like SSL_cert_file and SSL_key_file but
+          an internal X509* resp. EVP_PKEY* value. Useful for
+          dynamically created certificates and keys.
+        - added test for sysread/syswrite behavior (which was changed
+          in v0.991)
+        - _set_rw_error does $!||=EAGAIN only if error is one of 
+          SSL_WANT_READ|SSL_WANT_WRITE (patch from Mike Smith 
+          <mike at mailchannels dot com>)
+        - Fix Makefile.PL to allow detectection of failures in PREREQ_PM
+          (http://rt.cpan.org/Public/Bug/Display.html?id=20563, patch 
+          by alexchorny at gmail dot com)

Additional info:
CPAN homepage:

Diff from rawhide version:
Comment 1 Jose Pedro Oliveira 2006-08-12 12:30:02 EDT

The new IO-Socket-SSL has been busy. Could you update to version 0.998.


Rawhide: perl-IO-Socket-SSL-0.994-1.fc6.src.rpm
CPAN   : IO-Socket-SSL-0.998.tar.gz

Diff from IO-Socket-SSL-0.994 to IO-Socket-SSL-0.998

Changelog since v0.994
+       - declare socket as opened before calling fatal_ssl_error
+         because the SSL_error_trap set up from HTTP::Daemon
+         needs this
+       - accept_SSL sets errors on $socket (the accepted socket)
+         not $self (the listening socket if called from accept)
+         so it can be queried from SSL_error_trap
+       - note in BUGS section that IO::Socket::SSL is not thread-safe
+        - fix readline (e.g. getline,getlines,<>) so that it behaves
+          regarding $/ like written in the $/ dokumentation.
+        - removed links and comments to inofficial release of
+          Net::SSLeay, because there is a newer version already
+        - add support for Diffie Hellman Key Exchange.
+          See parameter SSL_dh_file and SSL_dh.

Comment 2 Warren Togami 2006-08-13 13:22:02 EDT
done, thanks.

Note You need to log in before you can comment on or make changes to this bug.